/*
 * jQuery jFontResizer Plugin
 * Created from the Mootools module fontresizer and the jquery plugin jfontsize
 * Author     Pulsar Informatique | info@pulsar-informatique.com | http://www.pulsar-informatique.com
 * Copyright  Copyright (C) 2013 Pulsar Informatique. All Rights Reserved.
 * License    GNU GPL v3 or later
 * Requires: jQuery v1.2.6 or later + jquery.cookie
 */
(function ($) {
    $.fn.jfontresizer = function (opcoes) {
        var $this = $(this);
        
        var defaults = {
            btnMinusClasseId: '#jfontresizer-minus',
            btnDefaultClasseId: '#jfontresizer-default',
            btnPlusClasseId: '#jfontresizer-plus',
            btnContrastClasseId: '#jfontresizer-contrast',
            fs_default: 76,
            fs_current: null,
            skin_current: null, 
            skin_contrast: 'blackyellow',
            max_fs: 150,
			min_fs: 50
        };
        
        if (opcoes) {
            opcoes = $.extend(defaults, opcoes)
        };
        
        
        var skin_set= function (){
    		if(opcoes.skin_current) { 
    			$('body').addClass(opcoes.skin_current);
    			$.cookie('joomla_skin', opcoes.skin_current, {path: '/', duration: 365}); 
    		}
        };
    	
    	var fs_set= function (){ 
    		if(opcoes.fs_current) { 
    			$('body').css('font-size', opcoes.fs_current + '%');  
    			$.cookie('joomla_fs', opcoes.fs_current, {path: '/', duration: 365});
    		}
    	};  	
        
        var fs = $.cookie('joomla_fs');
        opcoes.fs_current = ((fs=="false")||(fs==undefined)) ? opcoes.fs_default : fs  ;
        fs_set();	

        var s = $.cookie('joomla_skin');
        opcoes.skin_current = s ? s : null;
        if(opcoes.skin_current)
        	skin_set();
        
        
        var fs_change= function (diff){
    		// Security safe
    		var parsed_fs_current = parseInt(opcoes.fs_current);
    		if(isNaN(parsed_fs_current)) {
    			opcoes.fs_current = opcoes.fs_default; 
    		}
    		opcoes.fs_current = parseInt(opcoes.fs_current) + parseInt(diff * 5);

    	    if(opcoes.fs_current > opcoes.max_fs){
    	    	opcoes.fs_current = opcoes.max_fs;
    	    }else if(opcoes.fs_current < opcoes.min_fs){
    	    	opcoes.fs_current = opcoes.min_fs;
    	    }
    	    // Refresh setting
    	    fs_set(); 
    	};
            	
    	$(opcoes.btnMinusClasseId).click(function () {fs_change(-1);});
    	$(opcoes.btnPlusClasseId).click(function () {fs_change(1);});
		
    	//reset
		$(opcoes.btnDefaultClasseId).click(function () {
    		$('body').css('font-size', opcoes.fs_default + '%'); 
    		$.cookie('joomla_fs', false, {path: '/', duration: -365});
    		$('body').removeClass(opcoes.skin_current);
    		$.cookie('joomla_skin', false, {path: '/', duration: -365}); 
    		
    		// Reset
    		opcoes.skin_current = null;
            opcoes.fs_current = opcoes.fs_default;
            opcoes.enlarge_current = false;
        });
    	
    	//contrast
        $(opcoes.btnContrastClasseId).click(function () {
        	var requestedSkin = opcoes.skin_contrast;
    		if (opcoes.skin_current == requestedSkin){
    			skin = null;
            } else {
            	skin = requestedSkin;
            }
    		
    		opcoes.skin_current = skin;
    		if(opcoes.skin_current) {
    			skin_set();
    		} else {
    			// Reset
    			$('body').removeClass(requestedSkin);
    			$.cookie('joomla_skin', false, {path: '/', duration: -365}); 
    		}
    		
        });
        
    };
})(jQuery);