<?php defined('_JEXEC') or die;

/**
 * File       mod_jfontresizer.php
 * Created    23/07/13 11:28 AM
 * Author     Pulsar Informatique | info@pulsar-informatique.com | http://www.pulsar-informatique.com
 * Copyright  Copyright (C) 2013 Pulsar Informatique. All Rights Reserved.
 * License    GNU GPL v3 or later
 */

// Application object
$app = JFactory::getApplication();
// Global document object
$doc = JFactory::getDocument();
// Module Parameters
$btnMinusMaxHits = htmlspecialchars($params->get('btnMinusMaxHits'));
$btnPlusMaxHits  = htmlspecialchars($params->get('btnPlusMaxHits'));
$sizeChange      = htmlspecialchars($params->get('sizeChange'));
$targetElement   = htmlspecialchars($params->get('targetElement'));

$js = <<<JS
<script type="text/javascript">
	(function (jQuery) {
		jQuery().ready(function () {
			 jQuery('{$targetElement}').jfontresizer({
			     btnMinusClasseId: '#jfontresizer-minus',
			     btnDefaultClasseId: '#jfontresizer-default',
			     btnPlusClasseId: '#jfontresizer-plus',
			     btnContrastClasseId: '#jfontresizer-contrast',
			     btnMinusMaxHits: {$btnMinusMaxHits},
			     btnPlusMaxHits: {$btnMinusMaxHits},
			     sizeChange: {$sizeChange}
			 });
		});
	})(jQuery)
</script>
JS;

$doc->addCustomTag($js);

/**
 * Load CSS/JS files, first checking for template override.
 *
 * JPATH_SITE: Absolute path to the installed Joomla! site Checking absolute path helps security.
 *
 * JURI::base():  Base URI of the Joomla site. If TRUE, then only the path, trailing "/" omitted, to the Joomla site is returned;
 * otherwise the scheme, host and port are prepended to the path.
 */

$doc->addScript(JURI::base(TRUE) . '/media/jfontresizer/js/jquery.cookie.js');
$doc->addScript(JURI::base(TRUE) . '/media/jfontresizer/js/jquery.jfontresizer.js');

if (file_exists(JPATH_SITE . '/templates/' . $app->getTemplate() . '/css/jfontresizer.css')) {
	$doc->addStyleSheet(JURI::base(TRUE) . '/templates/' . $app->getTemplate() . '/css/jfontresizer.css');
} elseif (file_exists(JPATH_SITE . '/media/jfontresizer/css/jfontresizer.css')) {
	$doc->addStyleSheet(JURI::base(TRUE) . '/media/jfontresizer/css/jfontresizer.css');
}

if (file_exists(JPATH_SITE . '/templates/' . $app->getTemplate() . '/css/highcontrast.css')) {
	$doc->addStyleSheet(JURI::base(TRUE) . '/templates/' . $app->getTemplate() . '/css/highcontrast.css');
} elseif (file_exists(JPATH_SITE . '/media/jfontresizer/css/highcontrast.css')) {
	$doc->addStyleSheet(JURI::base(TRUE) . '/media/jfontresizer/css/highcontrast.css');
}

// Render module output
require JModuleHelper::getLayoutPath('mod_jfontresizer');